Skip to main content
GET
/
api
/
v2
/
streams
/
{streamId}
/
runs
List runs for a stream
curl --request GET \
  --url https://api.example.com/api/v2/streams/{streamId}/runs
Returns the sync run history for one stream. Each row is filtered to runs whose (account, segment) tuple appears in the stream’s pairs. For cross-stream history use GET /api/v2/runs.

Query parameters

NameTypeDescription
limitnumberDefault 30, max 100

Response

{
  "runs": [
    {
      "id": 123,
      "streamId": 42,
      "streamName": "AI founders watching Yongfook",
      "trackedXAccountId": 7,
      "xHandle": "yongfook",
      "segmentId": 12,
      "segmentName": "AI founders building developer tools",
      "source": "cron",
      "status": "succeeded",
      "mode": "sync-then-search",
      "triggeredAt": "2026-06-02T09:00:00Z",
      "completedAt": "2026-06-02T09:01:23Z",
      "newFollowersCount": 50,
      "candidatesPassedCount": 12,
      "mediumFitCount": 4,
      "enrichedCount": 8,
      "errorMessage": null,
      "progressLog": []
    }
  ]
}

Auth

Bearer or session cookie.